Marketplace
Change one disk price
Change the rate or the descriptive fields of a disk price you have published. Send only the fields you want to change. The fields that identify the price cannot be changed, because they describe a different SKU; delete the price and register a new one instead.
PATCH
/
v1
/
marketplace
/
disks
/
{id}
Change one disk price
curl --request PATCH \
--url https://pricing.baselinehq.cloud/v1/marketplace/disks/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '{}'import requests
url = "https://pricing.baselinehq.cloud/v1/marketplace/disks/{id}"
payload = {}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://pricing.baselinehq.cloud/v1/marketplace/disks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://pricing.baselinehq.cloud/v1/marketplace/disks/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://pricing.baselinehq.cloud/v1/marketplace/disks/{id}"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://pricing.baselinehq.cloud/v1/marketplace/disks/{id}")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{}")
.asString();require 'uri'
require 'net/http'
url = URI("https://pricing.baselinehq.cloud/v1/marketplace/disks/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"availability_zone": "<string>",
"cost_per_gb_hour": 123,
"cost_per_iops_hour": 123,
"cost_per_throughput_mbps_hour": 123,
"created_at": "<string>",
"currency": "<string>",
"id": "<string>",
"max_capacity_gb": 123,
"max_iops": 123,
"max_throughput_mbps": 123,
"min_capacity_gb": 123,
"min_iops": 123,
"min_throughput_mbps": 123,
"native_cost_per_gb_hour": 123,
"native_cost_per_iops_hour": 123,
"native_cost_per_throughput_mbps_hour": 123,
"period_billing_hours": 123,
"provider": "<string>",
"raw_pricing_data": {},
"region": "<string>",
"service": "<string>",
"tags": {},
"type": "<string>",
"updated_at": "<string>",
"usage_type": "<string>"
}{
"affected": [
{
"id": "<string>",
"kind": "<string>",
"name": "<string>"
}
],
"code": "<string>",
"detail": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"affected": [
{
"id": "<string>",
"kind": "<string>",
"name": "<string>"
}
],
"code": "<string>",
"detail": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"affected": [
{
"id": "<string>",
"kind": "<string>",
"name": "<string>"
}
],
"code": "<string>",
"detail": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"affected": [
{
"id": "<string>",
"kind": "<string>",
"name": "<string>"
}
],
"code": "<string>",
"detail": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"affected": [
{
"id": "<string>",
"kind": "<string>",
"name": "<string>"
}
],
"code": "<string>",
"detail": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"affected": [
{
"id": "<string>",
"kind": "<string>",
"name": "<string>"
}
],
"code": "<string>",
"detail": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}Authorizations
ApiKeyAuthBearerAuth
API key with "bl_" prefix (e.g. "bl_<api_key>")
Path Parameters
Price id
Body
application/json
Fields to change
The body is of type object.
Response
The changed price
Currency the provider published this price in. Cost columns are always normalized USD.
Provisioning upper bound the disk type supports at this price (validation range), not an actual disk size.
Provisioning lower bound the disk type supports at this price (validation range), not an actual disk size.
Was this page helpful?
⌘I
Change one disk price
curl --request PATCH \
--url https://pricing.baselinehq.cloud/v1/marketplace/disks/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '{}'import requests
url = "https://pricing.baselinehq.cloud/v1/marketplace/disks/{id}"
payload = {}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://pricing.baselinehq.cloud/v1/marketplace/disks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://pricing.baselinehq.cloud/v1/marketplace/disks/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://pricing.baselinehq.cloud/v1/marketplace/disks/{id}"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://pricing.baselinehq.cloud/v1/marketplace/disks/{id}")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{}")
.asString();require 'uri'
require 'net/http'
url = URI("https://pricing.baselinehq.cloud/v1/marketplace/disks/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"availability_zone": "<string>",
"cost_per_gb_hour": 123,
"cost_per_iops_hour": 123,
"cost_per_throughput_mbps_hour": 123,
"created_at": "<string>",
"currency": "<string>",
"id": "<string>",
"max_capacity_gb": 123,
"max_iops": 123,
"max_throughput_mbps": 123,
"min_capacity_gb": 123,
"min_iops": 123,
"min_throughput_mbps": 123,
"native_cost_per_gb_hour": 123,
"native_cost_per_iops_hour": 123,
"native_cost_per_throughput_mbps_hour": 123,
"period_billing_hours": 123,
"provider": "<string>",
"raw_pricing_data": {},
"region": "<string>",
"service": "<string>",
"tags": {},
"type": "<string>",
"updated_at": "<string>",
"usage_type": "<string>"
}{
"affected": [
{
"id": "<string>",
"kind": "<string>",
"name": "<string>"
}
],
"code": "<string>",
"detail": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"affected": [
{
"id": "<string>",
"kind": "<string>",
"name": "<string>"
}
],
"code": "<string>",
"detail": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"affected": [
{
"id": "<string>",
"kind": "<string>",
"name": "<string>"
}
],
"code": "<string>",
"detail": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"affected": [
{
"id": "<string>",
"kind": "<string>",
"name": "<string>"
}
],
"code": "<string>",
"detail": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"affected": [
{
"id": "<string>",
"kind": "<string>",
"name": "<string>"
}
],
"code": "<string>",
"detail": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"affected": [
{
"id": "<string>",
"kind": "<string>",
"name": "<string>"
}
],
"code": "<string>",
"detail": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}